import log from "electron-log/main";
import path from "node:path";

export function getRootDir() {
  return process.env.NODE_ENV === "development"
    ? path.join(__dirname, "../")
    : path.join(__dirname, "../../../");
}

log.initialize();
log.transports.console.level = false;
log.transports.file.resolvePathFn = () =>
  path.join(getRootDir(), "logs/main.log");

export default log;
